#!/bin/bash
cd ../../
if [ ! -s .spkproj ]
then
	echo "Creating folder tree"
	mkdir -p {Fonts,Icons/_Src,Images,Sass/{Assets,Components,Settings,Tools},Scripts,Stylesheets}
	echo "Creating base files"
	touch {Scripts/site.js,Sass/{Assets/_{fontface,icon},site,Settings/_{body,color,easing,font,mediaquery}}.scss}
	echo "Adding @import calls to Sass/site.scss"
	echo -ne /\*#Site#Stylesheet#\*/\\n\\n @import#\"{Settings/{color,easing,font,mediaquery},Tools/{mixin,function},Assets/{fontface,icon},Tools/reset,Settings/body}\"\;\\n | tr -d " " | tr \# " " >> Sass/site.scss
	echo "Adding file headers"
	echo -ne //#colors\\n\\n\$colors\:#\(\\n\\tdefault\:#\(\\n\\n\\t\)\\n\)\; | tr -d " " | tr \# " " >> Sass/Settings/_color.scss
	echo -ne //#fonts | tr \# " " >> Sass/Settings/_font.scss
	echo -ne //#easing#functions | tr \# " " >> Sass/Settings/_easing.scss
	echo -ne //#media#query#aliases | tr \# " " >> Sass/Settings/_mediaquery.scss
	echo -ne /\*#body#\*/ | tr \# " " >> Sass/Settings/_body.scss
	echo "Copying team-sourced Sass files"
	cat ./node_modules/spk-workflow/src/Sass/_mixin.scss >> ./Sass/Tools/_mixin.scss
	cat ./node_modules/spk-workflow/src/Sass/_reset.scss >> ./Sass/Tools/_reset.scss
	cat ./node_modules/spk-workflow/src/Sass/_function.scss >> ./Sass/Tools/_function.scss
	cat ./node_modules/spk-workflow/src/gulpfile.js >> ./gulpfile.js
	echo "INIT=TRUE" >> ./.spkproj
	gulp spk-package
fi
